Package groovy.inspect

# Class Inspector.MemberComparator

java.lang.Object
groovy.inspect.Inspector.MemberComparator

All Implemented Interfaces:
  `Serializable`, `Comparator<Object>`

Enclosing class:
  `Inspector`

public static class Inspector.MemberComparator extends Object implements Comparator<Object>, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MemberComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object a, Object b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### MemberComparator

public MemberComparator()

## Method Details

### compare

public int compare(Object a, Object b)

Specified by:
  `compare` in interface `Comparator<Object>`